# The MEME Suite

## Motif-based sequence analysis tools

## gendb

### Usage:

`gendb [options] <numseqs>`

### Description

gendb generates the specified number of sequences using a Markov model. The sequence lengths are selected uniformly at random within the range specified by --minseq and --maxseq.

### Input

No inputs are required.

### Output

Writes the sequences in FASTA format to standard output.

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
--bfile | file | File containg a background model in background model format. |
--seed | s | Seed for random number generator. |
--minseq | min | Minimum sequence length. | The minimum sequence length is 50.
--maxseq | max | Maximum sequence length. | The maximum sequence length is 2,000.
--order | n | Use Markov model of order n. | The order of the background model if one is provided, otherwise 0.
--dummy |  | Print a "dummy" sequence record before the generated sequences. The "dummy" sequence record is a a FASTA header line listing the gendb parameters but not followed by any sequence lines. |
--type | 0|1|2|3|4 | Allowed types are: 0 = protein (default) 1 = DNA 2 = codons 3 = DNA without ambiguous characters 4 = protein without ambigouous characters | Protein sequences are generated.